summaryrefslogtreecommitdiffstats
path: root/audio/pulseaudio/pkg-install
diff options
context:
space:
mode:
Diffstat (limited to 'audio/pulseaudio/pkg-install')
-rw-r--r--audio/pulseaudio/pkg-install22
1 files changed, 22 insertions, 0 deletions
diff --git a/audio/pulseaudio/pkg-install b/audio/pulseaudio/pkg-install
new file mode 100644
index 000000000..f4d1fb112
--- /dev/null
+++ b/audio/pulseaudio/pkg-install
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+case $2 in
+POST-INSTALL)
+ GROUP=realtime
+ GID=557
+ PW=/usr/sbin/pw
+
+ if ${PW} group show "${GROUP}" 2>/dev/null; then
+ echo "You already have a group \"${GROUP}\", so I will use it."
+ else
+ if ${PW} groupadd ${GROUP} -g ${GID}; then
+ echo "Added group \"${GROUP}\"."
+ else
+ echo "Adding group \"${GROUP}\" failed..."
+ exit 1
+ fi
+ fi
+
+ exit 0
+ ;;
+esac